### Function

# EDataServer xml_get_child_by_name

#### Declaration [src]

    xmlNode*
    e_xml_get_child_by_name (
      const xmlNode* parent,
      const xmlChar* child_name
    )

#### Description [src]

Attempts to find a child element of `parent` named `child_name`. If no such child exists, the function returns `NULL`.

This function is not directly available to language bindings.

#### Parameters

`parent`

  Type: `xmlNode`

  An XML node structure.

  The data is owned by the caller of the function.

`child_name`

  Type: `xmlChar`

  Element name of a child node.

  The data is owned by the caller of the function.

#### Return value

Type: `xmlNode`

A child XML node structure, or `NULL`.

The data is owned by the called function.
The return value can be `NULL`.